TAAS - Feature #85

Package Category
11/01/2022 06:25 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 11/01/2022
Priority: Normal Due date:

Assignee: Shilpa Pavithran % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 10:00 hours
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): 10.00 Code Reviewed By:

Module: Package Category

Description

Coding Package Category

History

#1 - 11/01/2022 06:29 PM - Anil KV

Point
1) If 3 = Static With Posting then mandatory Income Account and Cost Control Account
2) Rename labeal Cost Control Account to Control Account

#2 - 11/03/2022 11:43 AM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.htm| added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

Solution completed.

#3 - 11/03/2022 02:51 PM - Anil KV

- Assignee changed from Junaid M to Aromal M

#4 - 11/07/2022 04:49 PM - Anil KV
- Assignee changed from Aromal M to Amal Siby

#5 - 11/08/2022 09:53 AM - Amal Siby
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#6 - 11/09/2022 09:58 AM - Amal Siby

- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

- Time Taken(HH) set to 10.00

#7 - 11/09/2022 11:23 AM - Amal Cyriac
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50
- Tested By set to Amal Cyriac

ISSUE FOUND *****
1.SET REQUIRED FIELD RED

#8 - 11/12/2022 06:17 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

done

#9 - 05/22/2023 06:36 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Accounts not clearing after update
2.Use proper alerts

#10 - 05/27/2023 06:09 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

bug fixed.

#11 - 07/22/2023 06:23 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.UI CRASHING WHILE ADDING BLANK OPTION

#12 - 07/24/2023 08:46 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Fixed.

#13 - 02/14/2024 05:11 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

Fixed 1.ALLOW TO ADD SMALL LETTERS IN CATEGORY FIELD

#14 - 02/19/2024 10:05 AM - Amal Siby
- Status changed from Reopen Bugs to Coding Done

- % Done changed from 50 to 60

#15 - 02/19/2024 10:05 AM - Amal Siby
- Status changed from Coding Done to Reopen Bugs Coding Done

#16 - 02/19/2024 06:05 PM - unnikannan S
TESTING DONE

#17 - 02/23/2024 04:43 PM - Junaid M

Package Category GUI Changes:-—

Done 1) Type Madatory and Remove Blank Item

Done 2) Remove 'File (Customer)', 'Batch (Supplier Side)' and 'General' Checkbox

Done 3) Type wise grouping

Done 4) List Columns -> Category | Remarks

Done 5) Taxable Checkbox Showing only 'Type' == "Dynamic With Posting(Customer Side) In File Open" and "Fixed

Package" other wise Untick and Hide

* Consider Taxable Category Packages only in Billing tax master and Package Type wise Grouping
Done 6) Created and Modified By move to Rignt side last
Done 7) Account loading from mapping account

—Income Account

—Control Account

#18 - 02/23/2024 04:43 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#19 - 02/26/2024 06:10 PM - Amal Siby

- Status changed from Reopen Bugs to New Changes

#20 - 02/29/2024 07:53 PM - Amal Siby
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#21 - 04/11/2024 10:14 AM - unnikannan S
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

Done 1.Block Changing Type Field And Updating In Case The Category Is Used In Any Documents

#22 - 04/19/2024 06:18 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#23 - 05/03/2024 10:47 AM - Junaid M

- Assignee changed from Amal Siby to Greeshma S

#24 - 09/11/2024 05:14 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#25 - 01/09/2025 12:24 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Remarks not showing in the grid list

NEW CHANGE

(Done)1. While category type is 'Dynamic Service Grouping With Posting(Customer Side) In File Open' the change the red star of two accounts to
blue star and have validation only if the checkbox is checked.

Testing Done
#26 - 01/09/2025 04:01 PM - Greeshma S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#27 - 01/09/2025 06:02 PM - Arathy PS

- Assignee changed from Greeshma S to Shilpa Pavithran

#28 - 01/10/2025 05:39 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

#29 - 01/10/2025 05:41 PM - Shilpa Pavithran
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#30 - 01/11/2025 03:18 PM - Theja Ponon
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)when income and expense account checkbox is checked and without entering the account fields,pressing save will untick the checkbox load

account from mapping

#31 - 01/16/2025 09:54 AM - Shilpa Pavithran
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#32 - 01/20/2025 12:02 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files

1-CsModel.cs 1.89 KB 11/03/2022 Junaid M
2-tsModel.ts 1.37 KB 11/03/2022 Junaid M
3-CsFile.cs 14 KB 11/03/2022 Junaid M
4-CsControllerFile.cs 24.7 KB 11/03/2022 Junaid M
6-HtmiFile.html 1.91 KB 11/03/2022 Junaid M
5-TsFile.ts 14.2 KB 11/03/2022 Junaid M
sql.sql 13.1 KB 11/03/2022 Junaid M
